Append text to a note (creating it if absent)
const url = 'https://api.engram.page/notes/append';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"path":"Daily/2026-06-20.md","text":"\n- [ ] Ship the API docs coverage gate\n"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.engram.page/notes/append \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "path": "Daily/2026-06-20.md", "text": "\n- [ ] Ship the API docs coverage gate\n" }'Appends text to the note at path, returning created: false. If the note does not exist it is created with a heading derived from the filename plus the text, returning created: true.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Path + text
object
Example
{ "path": "Daily/2026-06-20.md", "text": "\n- [ ] Ship the API docs coverage gate\n"}Responses
Section titled “Responses”Appended
object
object
OKF frontmatter description field
OKF frontmatter created/date field
OKF frontmatter timestamp/modified/updated field
Outgoing wikilink/embed edges, resolved.
object
[[target|alias]] display text.
[[target#anchor]] heading/block reference.
True when the target could not be resolved.
“wikilink” or “embed”.
Resolved note path.
The raw link target as written, e.g. [[target_text]].
Client mtime (epoch seconds)
Present when parse_status is “degraded”: {code, message, detail}
object
Frontmatter parse outcome
OKF frontmatter resource field
OKF frontmatter type field
Example
{ "note": { "parse_status": "ok", "path": "Projects/engram.md" }}Validation error